.search {

  &__btn {
    position: relative;
    z-index: 1;
    display: block;
    width: 24px;
    height: 24px;
    background: url(../img/search-icon.svg) no-repeat center;
    background-size: contain;

    @include transition;

    @include media-breakpoint-down(xl) {
      z-index: 2;
    }

    &:hover {
      opacity: .7;
    }
  }

  &__content {
    position: fixed;
    z-index: 5;
    top: 0;
    left: 0;
    display: flex;
    overflow: auto;
    width: 100vw;
    height: 100vh;
    flex-direction: column;
    opacity: 0;
    pointer-events: none;
    background: rgba($black, .7);
    transition: opacity .5s cubic-bezier(.25, .1, .25, 1);

    &--active {
      opacity: 1;
      pointer-events: all;

      .search__form {
        transform: translateY(0);
      }
    }

    &--results {

      .search__form {
        padding-bottom: 50px;

        @include media-breakpoint-down(md) {
          padding-bottom: 20px;
        }
      }
    }
  }

  &__form {
    padding: 80px 0;
    background: $light;
    transition: all .7s cubic-bezier(.25, .1, .25, 1);
    transform: translateY(-100%);

    @include media-breakpoint-down(lg) {
      padding: 60px 0;
    }

    @include media-breakpoint-down(md) {
      padding: 30px 0;
    }
  }

  &__form-content {
    display: flex;
    justify-content: center;
    align-items: flex-end;
  }

  &__input {
    width: 410px;
    height: 30px;
    font-size: 18px;
    color: $black;
    background: transparent;
    border: 0;
    border-bottom: 1px solid $gray;
    caret-color: $primary;
    border-radius: 0;

    @include placeholder($gray);

    @include media-breakpoint-down(lg) {
      font-size: 16px;
    }
  }

  &__close {
    margin-left: 10px;
    display: block;
    width: 24px;
    height: 24px;
    flex-shrink: 0;
    background: url(../img/search-close.svg) no-repeat center;
    background-size: contain;

    @include transition;

    &:hover {
      opacity: .7;
    }
  }

  &__results {
    position: relative;
    z-index: 1;
    padding-bottom: 80px;
    flex-grow: 1;
    transition: all .7s cubic-bezier(.25, .1, .25, 1);

    @include media-breakpoint-down(md) {
      padding-bottom: 35px;
    }

    &--active {
      background: $light;

      .search__results-content {
        opacity: 1;
        pointer-events: all;
      }
    }
  }

  &__results-content {
    opacity: 0;
    pointer-events: none;

    @include transition;
  }

  &__item {

    @include media-breakpoint-down(xl) {
      margin-left: 0 !important;
      padding: 40px 0 !important;
      width: 100% !important;
    }

    @include media-breakpoint-down(lg) {
      margin-left: 0 !important;
      min-width: 0 !important;
    }

    @include media-breakpoint-down(md) {
      margin-bottom: 0 !important;
      margin-left: -20px !important;
      padding-bottom: 60px !important;
      min-width: calc(100% + 40px) !important;
    }

    .item__picture-wrapper {

      @include media-breakpoint-down(xl) {
        max-height: 250px;
      }

      @include media-breakpoint-down(md) {
        margin-bottom: 40px;
        max-width: 290px;
        max-height: 290px;
      }
    }

    .item__picture-img {

      @include media-breakpoint-down(xl) {
        max-width: 290px;
        max-height: 290px;
      }
    }

    .item__title {

      @include media-breakpoint-down(xl) {
        font-size: 48px;
      }
    }
  }
}
